Bug 1118989 - SELinux is preventing /usr/bin/vlc from 'name_bind' accesses on the udp_socket .
Summary: SELinux is preventing /usr/bin/vlc from 'name_bind' accesses on the udp_socket .
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: i686
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:0a6198e5977ab81eca34276be12...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-12 21:16 UTC by Alex Rain
Modified: 2014-07-15 22:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-15 22:56:01 UTC


Attachments (Terms of Use)

Description Alex Rain 2014-07-12 21:16:43 UTC
Description of problem:
SELinux is preventing /usr/bin/vlc from 'name_bind' accesses on the udp_socket .

*****  Plugin bind_ports (54.8 confidence) suggests   ************************

If you want to allow /usr/bin/vlc to bind to network port 15947
Then you need to modify the port type.
Do
# semanage port -a -t  -p udp 15947

*****  Plugin mozplugger (41.2 confidence) suggests   ************************

If ви хочете використовувати пакунок plugin
Then вам слід вимкнути керування SELinux для додатків Firefox.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin catchall_boolean (4.84 confidence) suggests   ******************

If ви бажаєте allow nis to enabled
Then вам слід повідомити про це SELinux наданням логічному параметру «nis_enabled» значення true.
Ознайомтеся зі сторінкою підручника (man) «None», щоб дізнатися більше.
Do
setsebool -P nis_enabled 1

*****  Plugin catchall (1.04 confidence) suggests   **************************

If якщо ви вважаєте, що vlc має бути надано типовий доступ name_bind до  udp_socket.
Then вам слід повідомити про цю помилку як про ваду.
Ви можете створити модуль локальних правил для надання подібного доступу.
Do
надайте доступ за допомогою команд:
# grep vlc /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                system_u:object_r:unreserved_port_t:s0
Target Objects                 [ udp_socket ]
Source                        vlc
Source Path                   /usr/bin/vlc
Port                          15947
Host                          (removed)
Source RPM Packages           vlc-core-2.1.4-1.fc20.i686
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-176.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.14.9-200.fc20.i686+PAE #1 SMP
                              Thu Jun 26 22:02:38 UTC 2014 i686 i686
Alert Count                   1
First Seen                    2014-07-13 00:15:39 EEST
Last Seen                     2014-07-13 00:15:39 EEST
Local ID                      b0fbcc17-a35d-4e3b-aa8e-2a1d69ac551e

Raw Audit Messages
type=AVC msg=audit(1405199739.395:429): avc:  denied  { name_bind } for  pid=3076 comm="vlc" src=15947 scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=system_u:object_r:unreserved_port_t:s0 tclass=udp_socket


type=SYSCALL msg=audit(1405199739.395:429): arch=i386 syscall=socketcall success=no exit=EACCES a0=2 a1=afdfec20 a2=afc90000 a3=13 items=0 ppid=1 pid=3076 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=1 comm=vlc exe=/usr/bin/vlc subj=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 key=(null)

Hash: vlc,mozilla_plugin_t,unreserved_port_t,udp_socket,name_bind

Additional info:
reporter:       libreport-2.2.2
hashmarkername: setroubleshoot
kernel:         3.14.9-200.fc20.i686+PAE
type:           libreport

Comment 1 Daniel Walsh 2014-07-15 22:56:01 UTC
Running a service within your firefox environment is difficult for us to contain, so I would advise you to turn off the protection if you want to run this service.

*****  Plugin mozplugger (41.2 confidence) suggests   ************************

If ви хочете використовувати пакунок plugin
Then вам слід вимкнути керування SELinux для додатків Firefox.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0


Note You need to log in before you can comment on or make changes to this bug.